sync_mapping_buffers
Prev | Other Functions | Next

## Name

sync_mapping_buffers — write out and wait upon a mapping's “associated”

## Synopsis

`int sync_mapping_buffers (` | struct address_space * | mapping`)`;

## Arguments

`mapping`

  the mapping which wants those buffers written

## Description

Starts I/O against the buffers at mapping->private_list, and waits upon that I/O.

Basically, this is a convenience function for `fsync`. `mapping` is a file or directory which needs those buffers to be written for a successful `fsync`.

## Description

Starts I/O against the buffers at mapping->private_list, and waits upon that I/O.

Basically, this is a convenience function for `fsync`. `mapping` is a file or directory which needs those buffers to be written for a successful `fsync`.

Prev | Up | Next
thaw_bdev | Home | mark_buffer_dirty